Qt 5.6 | Qt 3D | C++ Classes | QTechniqueFilter

Qt 5.6.3 Reference Documentation

# QTechniqueFilter Class

(Qt3DRender::QTechniqueFilter)

Inherits: | QFrameGraphNode
Inherited By: | Qt3DRender::QForwardRenderer

- List of all members, including inherited members

## Public Functions

| QTechniqueFilter(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QTechniqueFilter()
void | addParameter(QParameter *p)
void | addRequirement(QAnnotation *criterion)
QList<QAnnotation *> | criteria() const
QList<QParameter *> | parameters() const
void | removeParameter(QParameter *p)
void | removeRequirement(QAnnotation *criterion)

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QTechniqueFilter(QTechniqueFilterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QTechniqueFilter::QTechniqueFilter(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QTechniqueFilter.

### `[protected]` QTechniqueFilter::QTechniqueFilter(QTechniqueFilterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QTechniqueFilter::~QTechniqueFilter()

Destroys the instance of QTechniqueFilter.

### void QTechniqueFilter::addParameter(QParameter *p)

### void QTechniqueFilter::addRequirement(QAnnotation *criterion)

### `[protected]` void QTechniqueFilter::copy(const Qt3DCore::QNode *ref)

### QList<QAnnotation *> QTechniqueFilter::criteria() const

### QList<QParameter *> QTechniqueFilter::parameters() const

### void QTechniqueFilter::removeParameter(QParameter *p)

### void QTechniqueFilter::removeRequirement(QAnnotation *criterion)